Give the right to sysops to create, move and delete Structured Discussions boards on wikis where they are available as a Beta feature
Closed, ResolvedPublic

Description

As description says.

I had requests from users from Wikidata and Chinese Wikipedia to have this feature. Those wikis are in the top 3 wikis using Structured Discussions.

Restricted Application added a subscriber: Cosine02. · View Herald TranscriptSep 14 2017, 5:01 PM

Change 378183 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Give sysops the flow-create-board right on all wikis with Flow in general use

https://gerrit.wikimedia.org/r/378183

My patch adds the following logic to the Flow config: if the Flow beta feature is enabled, or Flow occupies one or more entire namespaces, then give sysops the flow-create-board right.

Change 378183 merged by jenkins-bot:
[operations/mediawiki-config@master] Give sysops the flow-create-board right on all wikis with Flow in general use

https://gerrit.wikimedia.org/r/378183

Mentioned in SAL (#wikimedia-operations) [2017-09-14T23:27:35Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Give sysops the flow-create-board right on Flow wikis (T175934) (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2017-09-14T23:29:16Z] <catrope@tin> Synchronized wmf-config/CommonSettings.php: Give sysops the flow-create-board right on Flow wikis (T175934) (duration: 00m 45s)

Etonkovidova added a subscriber: Etonkovidova.EditedSep 18 2017, 9:24 PM

Works in betalabs - if users belongs to Administrators (or was just granted Administrators rights), they can create, move, delete SD boards.

flow-create-board right is a part of Administrators rights.

Etonkovidova updated the task description. (Show Details)Sep 18 2017, 9:26 PM
Etonkovidova closed this task as Resolved.
Etonkovidova updated the task description. (Show Details)
Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.Sep 19 2017, 2:37 AM
Qgil awarded a token.Sep 19 2017, 9:14 AM